# Parametric category detail

Returns parametric category info.

Endpoint: GET /api/parametric-categories/{categoryGuid}
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `categoryGuid` (string, required)
    Guid of parametric category.
    Example: "5c498fb7-70ac-11e9-9208-08002774f818"

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.parametricCategory` (object, required)

  - `data.parametricCategory.guid` (string, required)
    unique identifier of the category

  - `data.parametricCategory.name` (string, required)
    category name

  - `data.parametricCategory.indexName` (string, required)
    ending part of category URL

  - `data.parametricCategory.url` (string, required)
    category URL in the e-shop

  - `data.parametricCategory.description` (string,null, required)
    top category description

  - `data.parametricCategory.secondDescription` (string,null, required)
    bottom category description

  - `data.parametricCategory.image` (string,null, required)
    header image

  - `data.parametricCategory.title` (string,null, required)
    HTML title element in the HTML header of the category page

  - `data.parametricCategory.metaTagDescription` (string,null, required)
    HTML META header Description in category page

  - `data.parametricCategory.originalCategoryGuid` (string,null, required)
    unique identifier of the original category (from which was the parametric category created)

  - `data.parametricCategory.showInList` (boolean, required)
    flag, whether the category is visible in product list

  - `data.parametricCategory.showInDetail` (boolean, required)
    flag, whether the category is visible in product detail

  - `data.parametricCategory.parameters` (array)
    parameters of the parametric category (requires parameters include in the request url)

  - `data.parametricCategory.parameters.parameterCode` (string, required)
    Code of the parameter

  - `data.parametricCategory.parameters.parameterName` (string, required)
    Name of the parameter

  - `data.parametricCategory.parameters.valueCode` (string, required)
    Code of the parameter value

  - `data.parametricCategory.parameters.valueName` (string, required)
    Name of the parameter value

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 403 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


